function x1=get_next(system,x,u)
A=[system.a 0 system.b*sin(x(4)) 0
   0 system.a -system.b*cos(x(4)) 0 
   -system.e*sin(x(4)) system.e*cos(x(4)) system.d 0
   0 0 system.deltat 1];
x1=A*x+ system.B*u;

x1(4)=x1(4)-floor(x1(4)/6.28)*6.28;
end